Index: branches/eli_branch/lib/FormValidator.inc.php
===================================================================
--- branches/eli_branch/lib/FormValidator.inc.php	(revision 438)
+++ branches/eli_branch/lib/FormValidator.inc.php	(revision 439)
@@ -61,5 +61,5 @@
 
     // Class parameters.
-    var $_params = array(
+    private $_params = array(
         'error' => ' sc-msg-error ',
         'warning' => ' sc-msg-warning ',
@@ -69,5 +69,5 @@
 
     // Array filling with error messages.
-    var $errors = array();
+    public $errors = array();
     
     /**
@@ -77,5 +77,5 @@
      * @param  array    $params     Array of parameters (key => val pairs).
      */
-    function setParam($params)
+    public function setParam($params)
     {
 		$app =& App::getInstance();
@@ -96,5 +96,5 @@
      * @return mixed               Configured parameter value.
      */
-    function getParam($param)
+    public function getParam($param)
     {
 		$app =& App::getInstance();
@@ -115,5 +115,5 @@
      *                  vals: the message to display for that error
      */
-    function getErrorList()
+    public function getErrorList()
     {
         return $this->errors;
@@ -130,5 +130,5 @@
      * @param   string $line        __LINE__.
      */
-    function addError($form_name, $msg='', $type=MSG_ERR, $file=null, $line=null)
+    public function addError($form_name, $msg='', $type=MSG_ERR, $file=null, $line=null)
     {
         $this->errors[] = array(
@@ -149,5 +149,5 @@
      *                a variable of $form_name, false otherwise
      */
-    function anyErrors($form_name=null)
+    public function anyErrors($form_name=null)
     {
         if (isset($form_name)) {
@@ -166,5 +166,5 @@
      * Reset the error list.
      */
-    function resetErrorList()
+    public function resetErrorList()
     {
         $this->errors = array();
@@ -182,5 +182,5 @@
      * @since   15 Jul 2005 01:39:14
      */
-    function printErrorMessages($above='', $below='', $print_gotohash_js=false, $hash='sc-msg-formvalidator')
+    public function printErrorMessages($above='', $below='', $print_gotohash_js=false, $hash='sc-msg-formvalidator')
     {
         $app =& App::getInstance();
@@ -238,5 +238,5 @@
      *                           not provided, use default.
      */
-    function err($form_name, $marker=null)
+    public function err($form_name, $marker=null)
     {
         if (false !== ($type = $this->anyErrors($form_name))) {
@@ -274,5 +274,5 @@
      * @return bool   true if form is not empty, false otherwise.
      */
-    function notEmpty($form_name, $msg='')
+    public function notEmpty($form_name, $msg='')
     {
         if (parent::notEmpty(getFormData($form_name))) {
@@ -290,5 +290,5 @@
     * @since    03 Jun 2006 22:56:46
     */
-    function isEmpty($form_name, $msg='')
+    public function isEmpty($form_name, $msg='')
     {
         $this->notEmpty($form_name, $msg);
@@ -303,5 +303,5 @@
      * @return bool   true if form is a string, false otherwise.
      */
-    function isString($form_name, $msg='')
+    public function isString($form_name, $msg='')
     {
         if (parent::isString(getFormData($form_name))) {
@@ -321,5 +321,5 @@
      * @return bool   true if no errors found, false otherwise
      */
-    function isNumber($form_name, $msg='')
+    public function isNumber($form_name, $msg='')
     {
         if (parent::isNumber(getFormData($form_name))) {
@@ -340,5 +340,5 @@
      * @return bool   true if value is an integer
      */
-    function isInteger($form_name, $msg='', $negative_ok=false)
+    public function isInteger($form_name, $msg='', $negative_ok=false)
     {
         if (parent::isInteger(getFormData($form_name), $negative_ok)) {
@@ -360,5 +360,5 @@
      * @return bool   true if value is a float
      */
-    function isFloat($form_name, $msg='', $negative_ok=false)
+    public function isFloat($form_name, $msg='', $negative_ok=false)
     {
         if (parent::isFloat(getFormData($form_name), $negative_ok)) {
@@ -378,5 +378,5 @@
      * @return bool   true if value is a float
      */
-    function isArray($form_name, $msg='')
+    public function isArray($form_name, $msg='')
     {
         if (parent::isArray(getFormData($form_name))) {
@@ -399,5 +399,5 @@
      * @return bool   true if value passes regex test
      */
-    function checkRegex($form_name, $regex, $valid_on_match, $msg='')
+    public function checkRegex($form_name, $regex, $valid_on_match, $msg='')
     {
         if (parent::checkRegex(getFormData($form_name), $regex, $valid_on_match)) {
@@ -419,5 +419,5 @@
      * @return bool   true if string length is within given boundaries
      */
-    function stringLength($form_name, $min, $max, $msg='')
+    public function stringLength($form_name, $min, $max, $msg='')
     {
         if (parent::stringLength(getFormData($form_name), $min, $max)) {
@@ -439,5 +439,5 @@
      * @return bool   true if no errors found, false otherwise
      */
-    function numericRange($form_name, $min, $max, $msg='')
+    public function numericRange($form_name, $min, $max, $msg='')
     {
         if (parent::numericRange(getFormData($form_name), $min, $max)) {
@@ -463,5 +463,5 @@
      * @author  Quinn Comendant <quinn@strangecode.com>
      */
-    function validateEmail($form_name)
+    public function validateEmail($form_name)
     {
 		$app =& App::getInstance();
@@ -513,5 +513,5 @@
      * @return bool    true if no errors found, false otherwise
      */
-    function validatePhone($form_name)
+    public function validatePhone($form_name)
     {
         $phone = getFormData($form_name);
@@ -531,5 +531,5 @@
      * @return bool    true if no errors found, false otherwise
      */
-    function validateStrDate($form_name, $msg='')
+    public function validateStrDate($form_name, $msg='')
     {
         $app =& App::getInstance();
@@ -554,5 +554,5 @@
      * @return bool    true if no errors found, false otherwise
      */
-    function validateCCNumber($form_name, $cc_type=null)
+    public function validateCCNumber($form_name, $cc_type=null)
     {
         $cc_num = getFormData($form_name);
@@ -574,5 +574,5 @@
      * @return bool   true if no errors found, false otherwise
      */
-    function fileUploaded($form_name, $msg='')
+    public function fileUploaded($form_name, $msg='')
     {
         if (parent::fileUploaded($form_name)) {
Index: branches/eli_branch/lib/Google_API.inc.php
===================================================================
--- branches/eli_branch/lib/Google_API.inc.php	(revision 438)
+++ branches/eli_branch/lib/Google_API.inc.php	(revision 439)
@@ -53,5 +53,5 @@
      * @access private
      */
-    var $_licenseKey = '';
+    private $_licenseKey = '';
 
     /**
@@ -59,5 +59,5 @@
      * @access private
      */
-    var $_soapClient = NULL;
+    private $_soapClient = NULL;
 
     /**
@@ -67,5 +67,5 @@
      * @access public
      */
-    function Google_API($licenseKey)
+    public function __construct($licenseKey)
     {
         $this->_licenseKey = $licenseKey;
@@ -82,5 +82,5 @@
      * @access public
      */
-    function getCachedPage($url)
+    public function getCachedPage($url)
     {
         $result = $this->_performAPICall(
@@ -104,5 +104,5 @@
      * @access public
      */
-    function getSpellingSuggestion($phrase)
+    public function getSpellingSuggestion($phrase)
     {
         return $this->_performAPICall(
@@ -122,5 +122,5 @@
      * @access public
      */
-    function search($parameters = array())
+    public function search($parameters = array())
     {
         if (!isset($parameters['query'])) {
@@ -150,5 +150,5 @@
      * @access private
      */
-    function _performAPICall($apiCall, $parameters)
+    private function _performAPICall($apiCall, $parameters)
     {
         $app =& App::getInstance();
@@ -167,5 +167,2 @@
     }
 }
-?>
-
-
Index: branches/eli_branch/lib/Hierarchy.inc.php
===================================================================
--- branches/eli_branch/lib/Hierarchy.inc.php	(revision 438)
+++ branches/eli_branch/lib/Hierarchy.inc.php	(revision 439)
@@ -52,5 +52,5 @@
      *
      */
-    var $params = array();
+    public $params = array();
 
 
@@ -59,5 +59,5 @@
      * @var string $child_type
      */
-    var $child_type;
+    public $child_type;
 
     /**
@@ -65,5 +65,5 @@
      * @var string $child_id
      */
-    var $child_id;
+    public $child_id;
 
     /**
@@ -72,5 +72,5 @@
      * @var bool $node_init
      */
-    var $node_init = false;
+    public $node_init = false;
 
     /**
@@ -80,5 +80,5 @@
      *                          configuration or connection parameters.
      */
-    function Hierarchy($params=array())
+    function __construct($params=array())
     {
         $this->params = $params;
@@ -92,5 +92,5 @@
      *                      if no new ones are specified.
      */
-    function currentNode($child_type=null, $child_id=null)
+    public function currentNode($child_type=null, $child_id=null)
     {
         $old_type = isset($this->child_type) ? $this->child_type : $child_type;
@@ -113,5 +113,5 @@
      *                  otherwise if an array is provided, an array of identifiers is returned.
      */
-    function toStringID($child_type=null, $child_id=null)
+    public function toStringID($child_type=null, $child_id=null)
     {
 			$app =& App::getInstance();
@@ -122,5 +122,5 @@
                 $child_id =& $this->child_id;
             } else {
-                $app->logMsg('toStringID failed. Arguments not specified properly.'), LOG_ERR, __FILE__, __LINE__);
+                $app->logMsg('toStringID failed. Arguments not specified properly.', LOG_ERR, __FILE__, __LINE__);
                 return false;
             }
@@ -147,5 +147,5 @@
      * @return mixed    Array of node type and id on success, false on failure.
      */
-    function toArrayID(&$node)
+    public function toArrayID(&$node)
     {
 			$app =& App::getInstance();
@@ -154,5 +154,5 @@
             return array('node_type' => $node_parts[1], 'node_id' => $node_parts[2]);
         } else {
-            $app->logMsg('Cannot parse node identifier, not formated correctly.'), LOG_ERR, __FILE__, __LINE__);
+            $app->logMsg('Cannot parse node identifier, not formated correctly.', LOG_ERR, __FILE__, __LINE__);
             return false;
         }
@@ -167,5 +167,5 @@
      * @return bool     true on success, false on error.
      */
-    function insertNode($parents, $child_type=null, $child_id=null, $relationship_type=null, $title='')
+    public function insertNode($parents, $child_type=null, $child_id=null, $relationship_type=null, $title='')
     {
 		$app =& App::getInstance();
@@ -177,5 +177,5 @@
                 $child_id =& $this->child_id;
             } else {
-                $app->logMsg('insertNode failed. Arguments not specified properly.'), LOG_ERR, __FILE__, __LINE__);
+                $app->logMsg('insertNode failed. Arguments not specified properly.', LOG_ERR, __FILE__, __LINE__);
                 return false;
             }
@@ -246,5 +246,5 @@
      * @return bool      false on error, true otherwise.
      */
-    function deleteNode($child_type=null, $child_id=null)
+    public function deleteNode($child_type=null, $child_id=null)
     {
 		$app =& App::getInstance();
@@ -256,5 +256,5 @@
                 $child_id =& $this->child_id;
             } else {
-                $app->logMsg('deleteNode failed. Arguments not specified properly.'), LOG_ERR, __FILE__, __LINE__);
+                $app->logMsg('deleteNode failed. Arguments not specified properly.', LOG_ERR, __FILE__, __LINE__);
                 return false;
             }
@@ -296,5 +296,5 @@
      * @return bool      false on error, true otherwise.
      */
-    function moveNode($new_parents=null, $child_type=null, $child_id=null, $relationship_type=null, $title='')
+    public function moveNode($new_parents=null, $child_type=null, $child_id=null, $relationship_type=null, $title='')
     {
 			$app =& App::getInstance();
@@ -306,5 +306,5 @@
                 $child_id =& $this->child_id;
             } else {
-                $app->logMsg('moveNode failed. Arguments not specified properly.'), LOG_ERR, __FILE__, __LINE__);
+                $app->logMsg('moveNode failed. Arguments not specified properly.', LOG_ERR, __FILE__, __LINE__);
                 return false;
             }
@@ -373,5 +373,5 @@
      * @return string   The parents as an array of serialized node identifiers.
      */
-    function getParents($child_type=null, $child_id=null, $type_constraint=null, $order='')
+    public function getParents($child_type=null, $child_id=null, $type_constraint=null, $order='')
     {
 		$app =& App::getInstance();
@@ -383,5 +383,5 @@
                 $child_id =& $this->child_id;
             } else {
-                $app->logMsg('getParents failed. Arguments not specified properly.'), LOG_ERR, __FILE__, __LINE__);
+                $app->logMsg('getParents failed. Arguments not specified properly.', LOG_ERR, __FILE__, __LINE__);
                 return false;
             }
@@ -424,5 +424,5 @@
      * @return array   type, id, title, subnode_quantity.
      */
-    function getNode($child_type=null, $child_id=null)
+    public function getNode($child_type=null, $child_id=null)
     {
 		$app =& App::getInstance();
@@ -434,5 +434,5 @@
                 $child_id =& $this->child_id;
             } else {
-                $app->logMsg('getNode failed. Arguments not specified properly.'), LOG_ERR, __FILE__, __LINE__);
+                $app->logMsg('getNode failed. Arguments not specified properly.', LOG_ERR, __FILE__, __LINE__);
                 return false;
             }
@@ -468,5 +468,5 @@
      * @return string  The children as an array of serialized node identifiers.
      */
-    function getChildren($child_type=null, $child_id=null, $type_constraint=null, $order='')
+    public function getChildren($child_type=null, $child_id=null, $type_constraint=null, $order='')
     {
 		$app =& App::getInstance();
@@ -478,5 +478,5 @@
                 $child_id =& $this->child_id;
             } else {
-                $app->logMsg('getChildren failed. Arguments not specified properly.'), LOG_ERR, __FILE__, __LINE__);
+                $app->logMsg('getChildren failed. Arguments not specified properly.', LOG_ERR, __FILE__, __LINE__);
                 return false;
             }
@@ -520,5 +520,5 @@
      * @return integer
      */
-    function getNumberChildren($child_type=null, $child_id=null, $type_constraint=null)
+    public function getNumberChildren($child_type=null, $child_id=null, $type_constraint=null)
     {
 		$app =& App::getInstance();
@@ -530,5 +530,5 @@
                 $child_id =& $this->child_id;
             } else {
-                $app->logMsg('getNumberChildren failed. Arguments not specified properly.'), LOG_ERR, __FILE__, __LINE__);
+                $app->logMsg('getNumberChildren failed. Arguments not specified properly.', LOG_ERR, __FILE__, __LINE__);
                 return false;
             }
@@ -561,5 +561,5 @@
      * @return bool      true if a leaf, or false if not or an error
      */
-    function isLeaf($child_type=null, $child_id=null)
+    public function isLeaf($child_type=null, $child_id=null)
     {
 		$app =& App::getInstance();
@@ -570,5 +570,5 @@
                 $child_id =& $this->child_id;
             } else {
-                $app->logMsg('isLeaf failed. Arguments not specified properly.'), LOG_ERR, __FILE__, __LINE__);
+                $app->logMsg('isLeaf failed. Arguments not specified properly.', LOG_ERR, __FILE__, __LINE__);
                 return false;
             }
@@ -595,5 +595,5 @@
      *                   parent, or false otherwise, or in case of failure.
      */
-    function isAncestor($child_type, $child_id, $considered_parent_type, $considered_parent_id)
+    public function isAncestor($child_type, $child_id, $considered_parent_type, $considered_parent_id)
     {
         $family_tree = $this->getAllAncestors($considered_parent_type, $considered_parent_id);
@@ -622,5 +622,5 @@
      * @return array     Array of serialized node identifiers.
      */
-    function getAllAncestors($child_type, $child_id, $go_linear=false, $_return_flag=true)
+    public function getAllAncestors($child_type, $child_id, $go_linear=false, $_return_flag=true)
     {
 		$db =& DB::getInstance();
@@ -676,5 +676,5 @@
      * @return bool      true if a leaf, or false if not or an error
      */
-    function nodeExists($child_type=null, $child_id=null, $parent_type=null, $parent_id=null, $relationship_type=null)
+    public function nodeExists($child_type=null, $child_id=null, $parent_type=null, $parent_id=null, $relationship_type=null)
     {
 		$app =& App::getInstance();
@@ -686,5 +686,5 @@
                 $child_id =& $this->child_id;
             } else {
-                $app->logMsg('nodeExists failed. Arguments not specified properly.'), LOG_ERR, __FILE__, __LINE__);
+                $app->logMsg('nodeExists failed. Arguments not specified properly.', LOG_ERR, __FILE__, __LINE__);
                 return false;
             }
@@ -728,5 +728,5 @@
      *                specified node: (type, id, title, indent level, selected status)
      */
-    function &getNodeList($preselected=null, $child_type=null, $child_id=null, $type_constraint=null, $include_curr=false, $order='', $_indent=0, $_return_flag=true)
+    public function &getNodeList($preselected=null, $child_type=null, $child_id=null, $type_constraint=null, $include_curr=false, $order='', $_indent=0, $_return_flag=true)
     {
 		$app =& App::getInstance();
@@ -740,5 +740,5 @@
                 $child_id =& $this->child_id;
             } else {
-                $app->logMsg('getNodeList failed. Arguments not specified properly.'), LOG_ERR, __FILE__, __LINE__);
+                $app->logMsg('getNodeList failed. Arguments not specified properly.', LOG_ERR, __FILE__, __LINE__);
                 return false;
             }
@@ -801,5 +801,5 @@
      * @param  string  $type_constraint  An array of node types to restrict the search to.
      */
-    function rebuildSubnodeQty($type_constraint=null)
+    public function rebuildSubnodeQty($type_constraint=null)
     {
 		$db =& DB::getInstance();
@@ -825,5 +825,5 @@
      * all parents recursively.
      */
-    function setSubnodeQtyToParents($child_type, $child_id, $num_children)
+    public function setSubnodeQtyToParents($child_type, $child_id, $num_children)
     {
 		$db =& DB::getInstance();
@@ -848,6 +848,2 @@
 // THE END
 }
-
-
-
-
Index: branches/eli_branch/lib/Image.inc.php
===================================================================
--- branches/eli_branch/lib/Image.inc.php	(revision 438)
+++ branches/eli_branch/lib/Image.inc.php	(revision 439)
@@ -31,5 +31,5 @@
 
     // Object parameters.
-    var $_params = array();
+    private $_params = array();
 
     /**
@@ -41,5 +41,5 @@
      * @since   26 Jan 2005 01:54:50
      */
-    function Image($params=array())
+    public function __construct($params=array())
     {
         if (!is_array($params)) {
@@ -72,5 +72,5 @@
      * @since   26 Jan 2005 01:54:50
       */
-    function exists($id)
+    public function exists($id)
     {
         $src = $this->oSrc($id);
@@ -95,5 +95,5 @@
      * @since   26 Jan 2005 01:54:50
      */
-    function size($id, $key)
+    public function size($id, $key)
     {
         $src = $this->oSrc($id);
@@ -113,5 +113,5 @@
      * @since   26 Jan 2005 01:56:35
      */
-    function oSrc($id)
+    public function oSrc($id)
     {
         $file_name = '';
@@ -138,5 +138,5 @@
      * @since   26 Jan 2005 01:57:33
      */
-    function oImg($id, $alt='', $extra='')
+    public function oImg($id, $alt='', $extra='')
     {
         $src = $this->oSrc($id);
@@ -157,4 +157,2 @@
     }
 } // End class
-
-?>
Index: branches/eli_branch/lib/ImageThumb.inc.php
===================================================================
--- branches/eli_branch/lib/ImageThumb.inc.php	(revision 438)
+++ branches/eli_branch/lib/ImageThumb.inc.php	(revision 439)
@@ -43,5 +43,5 @@
     
     // General object parameters.
-    var $_params = array(
+    private $_params = array(
         // The location for images to create thumbnails from.
         'source_dir' => null,
@@ -72,5 +72,5 @@
     
     // Default image size specs.
-    var $_default_image_specs = array(
+    private $_default_image_specs = array(
         // The destination for an image thumbnail size. 
         // Use initial / to specify absolute paths, leave off to specify a path relative to source_dir (eg: ../thumbs).
@@ -108,5 +108,5 @@
 
     // Final specifications for image sizes, set with setSpec().
-    var $_image_specs = array();
+    private $_image_specs = array();
 
     /**
@@ -116,5 +116,5 @@
      * @param  array    $params     Array of parameters (key => val pairs).
      */
-    function setParam($params)
+    public function setParam($params)
     {
 		$app =& App::getInstance();
@@ -160,5 +160,5 @@
      * @return mixed               Configured parameter value.
      */
-    function getParam($param)
+    public function getParam($param)
     {
 		$app =& App::getInstance();
@@ -180,5 +180,5 @@
      *                          Use to overwrite existing spec array values.
      */
-    function setSpec($spec, $index=null)
+    public function setSpec($spec, $index=null)
     {
 		$app =& App::getInstance();
@@ -259,5 +259,5 @@
     * @since    08 May 2007 15:26:39
     */
-    function getSpec($key, $index=null)
+    public function getSpec($key, $index=null)
     {
         $index = isset($index) ? $index : 0;
@@ -271,5 +271,5 @@
      * @return  bool true on success, false on failure.
      */
-    function processAll($runtime_specs=null)
+    public function processAll($runtime_specs=null)
     {
 		$app =& App::getInstance();
@@ -313,5 +313,5 @@
      * @return  bool true on success, false on failure.
      */
-    function processFile($file_name, $runtime_specs=null)
+    public function processFile($file_name, $runtime_specs=null)
     {
 		$app =& App::getInstance();
@@ -452,5 +452,5 @@
     * @since    19 May 2006 13:55:46
     */
-    function _resizeWithNetpbm($source_file, $dest_file, $spec)
+    private function _resizeWithNetpbm($source_file, $dest_file, $spec)
     {
 		$app =& App::getInstance();
@@ -521,5 +521,5 @@
     * @since    19 May 2006 15:46:02
     */
-    function _resizeWithGD($source_file, $dest_file, $spec)
+    private function _resizeWithGD($source_file, $dest_file, $spec)
     {
 		$app =& App::getInstance();
@@ -662,5 +662,5 @@
      * @return  bool true on success, false on failure.
      */
-    function deleteThumbs($file_name, $use_glob=false)
+    public function deleteThumbs($file_name, $use_glob=false)
     {
 		$app =& App::getInstance();
@@ -700,5 +700,5 @@
      * @return  bool true on success, false on failure.
      */
-    function deleteOriginal($file_name)
+    public function deleteOriginal($file_name)
     {
 		$app =& App::getInstance();
@@ -733,5 +733,5 @@
      * @return  bool true on success, false on failure.
      */
-    function exists($file_name)
+    public function exists($file_name)
     {
 		$app =& App::getInstance();
@@ -754,5 +754,5 @@
      * @return  bool    True on success, false on failure.
      */
-    function _validFileExtension($file_name)
+    private function _validFileExtension($file_name)
     {
         preg_match('/.*?\.(\w+)$/i', $file_name, $ext);
@@ -766,5 +766,5 @@
      * @return  bool true on success, false on failure.
      */
-    function _createDestDirs($filename=null)
+    private function _createDestDirs($filename=null)
     {
 		$app =& App::getInstance();
@@ -844,5 +844,5 @@
      * @param string $line    __LINE__.
      */
-    function _raiseMsg($message, $type, $file, $line)
+    private function _raiseMsg($message, $type, $file, $line)
     {
 		$app =& App::getInstance();
@@ -864,5 +864,5 @@
      * @since   15 Nov 2005 20:55:22
      */
-    function _glob($pattern, $directory)
+    private function _glob($pattern, $directory)
     {
         $file_list = glob(sprintf('%s/%s', $directory, $pattern));
Index: branches/eli_branch/lib/Lock.inc.php
===================================================================
--- branches/eli_branch/lib/Lock.inc.php	(revision 438)
+++ branches/eli_branch/lib/Lock.inc.php	(revision 439)
@@ -32,5 +32,5 @@
 
     // Configuration of this object.
-    var $_params = array(
+    private $_params = array(
         'timeout' => 600,
         'auto_timeout' => 1800,
@@ -44,8 +44,8 @@
 
     // Store lock data from DB.
-    var $data = array();
+    private $data = array();
 
     // Auth_SQL object from which to access a current user_id.
-    var $_auth;
+    private $_auth;
 
     /**
@@ -56,5 +56,5 @@
      * @static
      */
-    static function &getInstance($auth_object)
+    public static function &getInstance($auth_object)
     {
         static $instance = null;
@@ -72,5 +72,5 @@
      * @param mixed  $auth_object  An Auth_SQL or Auth_FILE object.
      */
-    function Lock($auth_object)
+    public function __construct($auth_object)
     {
 		$app =& App::getInstance();
@@ -95,5 +95,5 @@
      * @since   26 Aug 2005 17:09:36
      */
-    function initDB($recreate_db=false)
+    public function initDB($recreate_db=false)
     {
 		$app =& App::getInstance();
@@ -142,5 +142,5 @@
      * @param  array $params   Array of param keys and values to set.
      */
-    function setParam($params=null)
+    public function setParam($params=null)
     {
         if (isset($params) && is_array($params)) {
@@ -157,5 +157,5 @@
      * @return mixed               Configured parameter value.
      */
-    function getParam($param)
+    public function getParam($param)
     {
 		$app =& App::getInstance();
@@ -178,5 +178,5 @@
      * @param string $title       A title to apply to the lock, for display purposes.
      */
-    function select($record_table_or_lock_id, $record_key=null, $record_val=null)
+    public function select($record_table_or_lock_id, $record_key=null, $record_val=null)
     {
 		$app =& App::getInstance();
@@ -219,5 +219,5 @@
      * @return bool            True if locked.
      */
-    function isLocked()
+    public function isLocked()
     {
         return isset($this->data['lock_id']);
@@ -230,5 +230,5 @@
      * @return bool            True if current user set the lock.
      */
-    function isMine()
+    public function isMine()
     {
 		$db =& DB::getInstance();
@@ -258,5 +258,5 @@
      * @return int            The id for the lock (mysql last insert id).
      */
-    function set($record_table, $record_key, $record_val, $title='')
+    public function set($record_table, $record_key, $record_val, $title='')
     {
 		$db =& DB::getInstance();
@@ -304,5 +304,5 @@
      * Unlock the currently selected record.
      */
-    function remove()
+    public function remove()
     {
 		$app =& App::getInstance();
@@ -326,5 +326,5 @@
      * Unlock all records, or all records for a specified user.
      */
-    function removeAll($user_id=null)
+    public function removeAll($user_id=null)
     {
 		$app =& App::getInstance();
@@ -350,5 +350,5 @@
      * Deletes all locks that are older than auto_timeout.
      */
-    function _auto_timeout()
+    private function _auto_timeout()
     {
 		$db =& DB::getInstance();
@@ -371,5 +371,5 @@
      * Redirect to record lock error page.
      */
-    function dieErrorPage()
+    public function dieErrorPage()
     {
 		$app =& App::getInstance();
@@ -381,5 +381,5 @@
      * Print error page.
      */
-    function printErrorHTML()
+    public function printErrorHTML()
     {
 		$app =& App::getInstance();
@@ -416,5 +416,5 @@
      * Return lock_id of locked record.
      */
-    function getID()
+    public function getID()
     {
         return $this->data['lock_id'];
@@ -424,5 +424,5 @@
      * Return title of locked record.
      */
-    function getTitle()
+    public function getTitle()
     {
         return $this->data['title'];
@@ -432,5 +432,5 @@
      * Return administrator username for locked record.
      */
-    function getEditor()
+    public function getEditor()
     {
         return $this->data['editor'];
@@ -440,5 +440,5 @@
      * Return total seconds since the record was locked.
      */
-    function getSecondsElapsed()
+    public function getSecondsElapsed()
     {
         if (isset($this->data['lock_datetime']) && strtotime($this->data['lock_datetime']) < time()) {
Index: branches/eli_branch/lib/Navigation.inc.php
===================================================================
--- branches/eli_branch/lib/Navigation.inc.php	(revision 438)
+++ branches/eli_branch/lib/Navigation.inc.php	(revision 439)
@@ -37,5 +37,5 @@
 
     // Configuration parameters for this object.
-    var $_params = array(        
+    private $_params = array(        
         'head_title' => true,
         'body_title' => true,
@@ -48,10 +48,10 @@
         'last_crumb_format' => '%s',
     );
-    var $pages = array();
+    public $pages = array();
 
     /**
      * Navigation constructor.
      */
-    function Navigation($params=null)
+    public function __construct($params=null)
     {
 		$app =& App::getInstance();
@@ -74,5 +74,5 @@
      * @param   array   $vars       Additional page variables.
      */
-    function add($title, $url=null, $vars=array())
+    public function add($title, $url=null, $vars=array())
     {
         $page = array(
@@ -91,5 +91,5 @@
      * @param  array    $params     Array of parameters (key => val pairs).
      */
-    function setParam($params)
+    public function setParam($params)
     {
 		$app =& App::getInstance();
@@ -110,5 +110,5 @@
      * @return mixed               Configured parameter value.
      */
-    function getParam($param)
+    public function getParam($param)
     {
 		$app =& App::getInstance();
@@ -127,5 +127,5 @@
      * @access  public
      */
-    function clear()
+    public function clear()
     {
         $this->pages = array();
@@ -139,5 +139,5 @@
      * @param mixed $val      Value to set variable to.
      */
-    function set($key, $val)
+    public function set($key, $val)
     {
         // Set params of current page.
@@ -154,5 +154,5 @@
      * @return mixed          Value stored in session.
      */
-    function get($key, $default='')
+    public function get($key, $default='')
     {
         $curr_page =& $this->pages[sizeof($this->pages) - 1];
@@ -205,5 +205,5 @@
      * @return  mixed           Path (string) or false if path param is not set.
      */
-    function getPath($key='title')
+    public function getPath($key='title')
     {
         if ($this->getParam('path')) {
@@ -227,5 +227,5 @@
      * @return  string   Breadcrumbs or empty string if breadcrumbs param not set.
      */
-    function getBreadcrumbs()
+    public function getBreadcrumbs()
     {
 		$app =& App::getInstance();
@@ -279,5 +279,5 @@
      * @return  mixed   The value set for $return, TRUE by default.
      */
-    function currentPage($page_uri, $return=true)
+    public function currentPage($page_uri, $return=true)
     {
         if (preg_match('/^' . preg_quote(urldecode($page_uri), '/') . '/i', $_SERVER['PHP_SELF'])) {
@@ -288,4 +288,2 @@
 }
 // End of class.
-
-?>
